Gtk2::Gdk::PixbufAnimation(3)

NAME
Gtk2::Gdk::PixbufAnimation

HIERARCHY
  Glib::Object
  +----Gtk2::Gdk::PixbufAnimation

METHODS

  pixbufanimation = Gtk2::Gdk::PixbufAnimation->new_from_file ($filename)

•   $filename (localized file name)

May croak with a Glib::Error in $@ on failure.

  integer = $animation->get_height

  boolean = $animation->is_static_image

  pixbufanimationiter = $animation->get_iter ($start_time_seconds=0, $start_time_microseconds=0)

•   $start_time_seconds (integer)

•   $start_time_microseconds (integer)

The seconds and microseconds values are available from Time::HiRes, which is standard since perl 5.8.0. If both are undef or omitted, the function uses the current time.

  pixbuf = $animation->get_static_image

  integer = $animation->get_width

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.